Electrical Fire Test Script

Usage

Before running the script, make sure sajava.exe is in your path and your classpath is set.

    perl runTests.pl < test file > [ options... ]
    perl runTests.pl -h

Options

    -q				Quite mode.  Print non-passing tests only.
    -gr				Generate an html report.
    -uw < class >			Use a wrapper class.
    -classpath < path >		Use the given classpath.
    -workdir < dir >		Use the directory as the working dir.
    -testroot < path >		Use the given path as the test root.
    -keyword < keyword >		Run tests with the given keyword only.
    -h				Help.

Description

This test script's main purpose is to test Electrical Fire. It obviously, with a few modifications, can be changed to test any Java Runtime.

The option -uw is to allow a wrapper class to be used to invoke the tests. You can provided your own wrapper class as long as it prints out the following results, which the test script will use to determine if a test pass or failed.

    For passing tests, print "STATUS:Passed."
    For failing tests, print "STATUS:Failed."

Any tests that don't print out these two results will cause the test script to make the test result as a Check Test.

The options -workdir and -testroot are JCK specific test arguments. You don't need to specify them by default. The -workdir argument is just a temp directory were some tests can perform I/O. The -testroot is a path to the html test description of a JCK test. If you want to specify a testroot, you will need to give the url path.

    For example, "-testroot file:/g:/JCK-114a".